kompendium
2.0.2
2.0.3 2.0.2 2.0.1

# FormattedSchema

data class FormattedSchema (format: String , type: String , default: Any ?, description: String ?, nullable: Boolean ?, minimum: Number ?, maximum: Number ?, exclusiveMinimum: Boolean ?, exclusiveMaximum: Boolean ?, multipleOf: Number ?) : TypedSchema
Content copied to clipboard

## Functions

addDefault
Link copied to clipboard
open fun addDefault (default: Any ?): ComponentSchema
Content copied to clipboard
setDescription
Link copied to clipboard
open fun setDescription (description: String ): ComponentSchema
Content copied to clipboard

## Properties

default
Link copied to clipboard
open override val default : Any ? = null
Content copied to clipboard
description
Link copied to clipboard
open override val description : String ? = null
Content copied to clipboard
exclusiveMaximum
Link copied to clipboard
val exclusiveMaximum : Boolean ? = null
Content copied to clipboard
exclusiveMinimum
Link copied to clipboard
val exclusiveMinimum : Boolean ? = null
Content copied to clipboard
format
Link copied to clipboard
val format : String
Content copied to clipboard
maximum
Link copied to clipboard
val maximum : Number ? = null
Content copied to clipboard
minimum
Link copied to clipboard
val minimum : Number ? = null
Content copied to clipboard
multipleOf
Link copied to clipboard
val multipleOf : Number ? = null
Content copied to clipboard
nullable
Link copied to clipboard
open override val nullable : Boolean ? = null
Content copied to clipboard
type
Link copied to clipboard
open override val type : String
Content copied to clipboard